/*****************************************************************************/
/*									     */
/*				    CALLWIN.H				     */
/*									     */
/* (C) 1996	Ullrich von Bassewitz					     */
/*		Zwehrenbuehlstrasse 33					     */
/*		D-72070 Tuebingen					     */
/* EMail:	uz@ibb.schwaben.com					     */
/*									     */
/*****************************************************************************/



// $Id$
//
// $Log$
//
//



// Call window



#ifndef _CALLWIN_H
#define _CALLWIN_H



#include "itemwin.h"



/*****************************************************************************/
/*			       class CallWindow				     */
/*****************************************************************************/



class CallWindow: public ItemWindow {

    static unsigned	WindowCount;	// Count of CallWindows

    class CallMsgColl*	CallMsg;	// List of messages
    Rect		ZoomSize;	// Small size of zooming


public:
    CallWindow (StreamableInit);
    // Build constructor

    CallWindow ();
    // Construct an CallWindow

    virtual ~CallWindow ();
    // Destruct an CallWindow

    virtual void Store (Stream &) const;
    virtual void Load (Stream &);
    virtual u16 StreamableID () const;
    static Streamable* Build ();
    // Make the window persistent

    virtual void DrawInterior ();
    // Draw the window contents

    virtual unsigned MinXSize () const;
    // Return the minimum X size of the window. Override this to limit resizing.

    virtual unsigned MinYSize () const;
    // Return the minumim Y size of the window. Override this to limit resizing.

    virtual void Zoom ();
    // Zoom the window

    void Write (const String& S);
    // Write a line to the window, advance the cursor

    virtual void HandleEvent (Event& E);
    // Handle an incoming event

};



// End of CALLWIN.H

#endif

